# file

abstract fun file(path: String): RegularFile

Returns a RegularFile whose location is the given path, resolved relative to this directory.

#### Return

The file.

#### Parameters

path

The path. Can be absolute.

abstract fun file(path: Provider<out CharSequence>): Provider<RegularFile>

Returns a Provider whose value is a RegularFile whose location is the given path resolved relative to this directory.

The return value is live and the provided `path` is queried each time the return value is queried.

#### Return

The file.

#### Parameters

path

The path provider. Can have value that is an absolute path.